-- Test payment_status
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(15);

set search_path to camper, public;

select has_table('payment_status');
select has_pk('payment_status');
select table_privs_are('payment_status', 'guest', array['SELECT']);
select table_privs_are('payment_status', 'employee', array['SELECT']);
select table_privs_are('payment_status', 'admin', array['SELECT']);
select table_privs_are('payment_status', 'authenticator', array[]::text[]);

select has_column('payment_status', 'payment_status');
select col_is_pk('payment_status', 'payment_status');
select col_type_is('payment_status', 'payment_status', 'text');
select col_not_null('payment_status', 'payment_status');
select col_hasnt_default('payment_status', 'payment_status');

select has_column('payment_status', 'name');
select col_type_is('payment_status', 'name', 'text');
select col_not_null('payment_status', 'name');
select col_hasnt_default('payment_status', 'name');


select *
from finish();

rollback;

